%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Date_Holidays

Name:           php-pear-Date-Holidays
Version:        0.21.4
Release:        2%{?dist}
Summary:        Driver based class to calculate holidays

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Date_Holidays
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Patch1:         %{name}.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.6.0
Requires:       php-pear(PEAR) php-pear(Date) php-pear(XML_Serializer)
Requires:       php-pear(Console_Getargs)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Date_Holidays helps you calculating the dates and titles of holidays and
other special celebrations. The calculation is driver-based so it is easy
to add new drivers that calculate a country's holidays. The methods of the
class can be used to get a holiday's date and title in various languages.


%prep
%setup -qc

%patch1

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# Package is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{_bindir}/pear-dh-*
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/Date/Holidays*


%changelog
* Sun Aug 15 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.21.4-2
- remove LICENSE file (not provided by upstream)
- rename Date_Holidays to php-pear-Date-Holidays.xml
- fix shebang
- set date.timezone during build

* Sun Aug 30 2009 Christopher Stone <chris.stone@gmail.com> 0.21.4-1.1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Christopher Stone <chris.stone@gmail.com> 0.20.1-1
- Upstream sync

* Thu May 22 2008 Christopher Stone <chris.stone@gmail.com> 0.19.1-1
- Upstream sync

* Thu Feb 07 2008 Christopher Stone <chris.stone@gmail.com> 0.17.4-1
- Upstream sync

* Mon Jul 02 2007 Christopher Stone <chris.stone@gmail.com> 0.17.1-2
- Add files to %%{_bindir}

* Mon Jul 02 2007 Christopher Stone <chris.stone@gmail.com> 0.17.1-1
- Upstream Sync
- Update license file

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.17.0-1
- Upstream sync
- Remove %%{_bindir} files from %%files

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.16.1-2
- Add LICENSE

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 0.16.1-1
- Initial release
